---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgcstart002.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51270, symBinAddr: 0x7330, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x531B0, symBinAddr: 0x9270, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x535A0, symBinAddr: 0x9660, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54540, symBinAddr: 0xA600, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54550, symBinAddr: 0xA610, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _mem, symObjAddr: 0x6BC50, symBinAddr: 0x21D10, symSize: 0x0 }
  - { offsetInCU: 0x7D8, offset: 0x7D8, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50DB0, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0x7E3, offset: 0x7E3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50DB4, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0x7EE, offset: 0x7EE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50DB8, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0x833, offset: 0x833, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50F00, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0x8AC, offset: 0x8AC, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50FB8, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0x8CA, offset: 0x8CA, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50FBC, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0x8E3, offset: 0x8E3, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50FC0, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0x8FC, offset: 0x8FC, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50FC4, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0x915, offset: 0x915, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50FC8, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x8EFF, offset: 0x8EFF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50FD0, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x8F88, offset: 0x8F88, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50FE0, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x8FA1, offset: 0x8FA1, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50FE8, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x8FBA, offset: 0x8FBA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50FF0, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x8FD3, offset: 0x8FD3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50FF8, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x8FEC, offset: 0x8FEC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51000, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x9006, offset: 0x9006, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51008, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x90EC, offset: 0x90EC, size: 0x8, addend: 0x0, symName: __ZL7gcstart, symObjAddr: 0x5104C, symBinAddr: 0x71CC, symSize: 0x0 }
  - { offsetInCU: 0x9105, offset: 0x9105, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x51050, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x9123, offset: 0x9123, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x51058, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x913C, offset: 0x913C, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x51060, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0x9155, offset: 0x9155, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x51070, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0x91A7, offset: 0x91A7, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xF30, symSize: 0x80 }
  - { offsetInCU: 0x923C, offset: 0x923C, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xE80, symSize: 0xB0 }
  - { offsetInCU: 0x9297, offset: 0x9297, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xD80, symSize: 0x100 }
  - { offsetInCU: 0x952A, offset: 0x952A, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xFB0, symSize: 0xC0 }
  - { offsetInCU: 0x957C, offset: 0x957C, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1070, symSize: 0x220 }
  - { offsetInCU: 0x9761, offset: 0x9761, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1290, symSize: 0xA0 }
  - { offsetInCU: 0x9814, offset: 0x9814, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1330, symSize: 0x110 }
  - { offsetInCU: 0x990A, offset: 0x990A, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1440, symSize: 0x150 }
  - { offsetInCU: 0x9A87, offset: 0x9A87, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1590, symSize: 0x30 }
  - { offsetInCU: 0x9B68, offset: 0x9B68, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x15C0, symSize: 0x150 }
  - { offsetInCU: 0x9D60, offset: 0x9D60, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1710, symSize: 0x160 }
  - { offsetInCU: 0xA020, offset: 0xA020, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1870, symSize: 0x4A0 }
  - { offsetInCU: 0xA293, offset: 0xA293, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1D10, symSize: 0x1B0 }
  - { offsetInCU: 0xA4AE, offset: 0xA4AE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1EC0, symSize: 0xA0 }
  - { offsetInCU: 0xA5A9, offset: 0xA5A9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1F60, symSize: 0x20 }
  - { offsetInCU: 0xA5E0, offset: 0xA5E0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1F80, symSize: 0x20 }
  - { offsetInCU: 0xA617, offset: 0xA617, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1FA0, symSize: 0x20 }
  - { offsetInCU: 0xA786, offset: 0xA786, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1FC0, symSize: 0x1A0 }
  - { offsetInCU: 0xAAA2, offset: 0xAAA2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x2160, symSize: 0x150 }
  - { offsetInCU: 0xAC57, offset: 0xAC57, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x22B0, symSize: 0x80 }
  - { offsetInCU: 0xAD20, offset: 0xAD20, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2330, symSize: 0x6C0 }
  - { offsetInCU: 0xB896, offset: 0xB896, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA8C0, symBinAddr: 0x3CB0, symSize: 0xB0 }
  - { offsetInCU: 0xB90D, offset: 0xB90D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x29F0, symSize: 0x70 }
  - { offsetInCU: 0xB9C9, offset: 0xB9C9, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2A60, symSize: 0xA0 }
  - { offsetInCU: 0xBAF4, offset: 0xBAF4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2B00, symSize: 0x40 }
  - { offsetInCU: 0xBBEA, offset: 0xBBEA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2B40, symSize: 0x2B0 }
  - { offsetInCU: 0xBF90, offset: 0xBF90, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2DF0, symSize: 0xC0 }
  - { offsetInCU: 0xC0D6, offset: 0xC0D6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x2EB0, symSize: 0x10 }
  - { offsetInCU: 0xC198, offset: 0xC198, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x2EC0, symSize: 0x240 }
  - { offsetInCU: 0xC481, offset: 0xC481, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3100, symSize: 0x10 }
  - { offsetInCU: 0xC4DE, offset: 0xC4DE, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3110, symSize: 0x3D0 }
  - { offsetInCU: 0xC93E, offset: 0xC93E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA0F0, symBinAddr: 0x34E0, symSize: 0x10 }
  - { offsetInCU: 0xCA0C, offset: 0xCA0C, size: 0x8, addend: 0x0, symName: _GarbageCollectionStart, symObjAddr: 0xA100, symBinAddr: 0x34F0, symSize: 0x780 }
  - { offsetInCU: 0xD249, offset: 0xD249, size: 0x8, addend: 0x0, symName: _VMDeath, symObjAddr: 0xA880, symBinAddr: 0x3C70, symSize: 0x40 }
  - { offsetInCU: 0xD28B, offset: 0xD28B, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA970, symBinAddr: 0x3D60, symSize: 0x36A }
...
